<?
  session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer; 
	$existe=$objPer->ExisteControlHeli($numcontrol);
	$fecha=extraerfechamysql($fecha);	
	if($existe==0){	
	$cod_ultimo=$objPer->registrarControlHeli($numcontrol,$matricula,$lugar,$fecha,$piloto,$copiloto,$usuario_cia,$mision,'..'); 	
		while(list($clave1,$valor1)=each($control)){
		$harranq_dch=$valor1[0];
		$haire_dch=$valor1[1];
		$htierra_dch=$valor1[2];
		$hapaga_dch=$valor1[3];
		$cpass_dch=$valor1[4];
		$ccarga_dch=$valor1[5];
		$origen=$valor1[6];
		$destino=$valor1[7];
		$obser=$valor1[8];
		
		$resultadoo=$objPer->getRutaOrigen($origen);								   
		$filao=$objPer->NextRow($resultadoo);
		
		$resultadod=$objPer->getRutaDestino($destino);								   
		$filad=$objPer->NextRow($resultadod);			
		
		$objPer->registrarDetControlHeli($numcontrol,$harranq_dch,$haire_dch,$htierra_dch,$_SESSION['tothaire'],$_SESSION['tothapaga'],$hapaga_dch,$_SESSION['toth'],$cpass_dch,$ccarga_dch,$filao['nom_lugar'],$filad['nom_lugar'],$obser);
		}
	}else{
		while(list($clave1,$valor1)=each($control)){
		$harranq_dch=$valor1[0];
		$haire_dch=$valor1[1];
		$htierra_dch=$valor1[2];
		$hapaga_dch=$valor1[3];
		$cpass_dch=$valor1[4];
		$ccarga_dch=$valor1[5];
		$origen=$valor1[6];
		$destino=$valor1[7];
		$obser=$valor1[8];
		
		$resultadoo=$objPer->getRutaOrigen($origen);								   
		$filao=$objPer->NextRow($resultadoo);
		
		$resultadod=$objPer->getRutaDestino($destino);								   
		$filad=$objPer->NextRow($resultadod);				
		
		$objPer->registrarDetControlHeli($numcontrol,$harranq_dch,$haire_dch,$htierra_dch,$_SESSION['tothaire'],$_SESSION['tothapaga'],$hapaga_dch,$_SESSION['toth'],$cpass_dch,$ccarga_dch,$filao['nom_lugar'],$filad['nom_lugar'],$obser);
		}
	}
		Redirigir("../cvp_control_heli.php?borrar=1");	
?>